Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Mesh2D Class Reference

Two-dimensional rectilinear waveguide mesh class. More...

`#include <Mesh2D.h>`

Inheritance diagram for stk::Mesh2D:

List of all members.

## Public Member Functions
| Mesh2D (short nX, short nY)
| Class constructor, taking the x and y dimensions in samples.
| ~Mesh2D (void)
| Class destructor.
void | clear (void)
| Reset and clear all internal state.
void | setNX (short lenX)
| Set the x dimension size in samples.
void | setNY (short lenY)
| Set the y dimension size in samples.
void | setInputPosition (StkFloat xFactor, StkFloat yFactor)
| Set the x, y input position on a 0.0 - 1.0 scale.
void | setDecay (StkFloat decayFactor)
| Set the loss filters gains (0.0 - 1.0).
void | noteOn (StkFloat frequency, StkFloat amplitude)
| Impulse the mesh with the given amplitude (frequency ignored).
void | noteOff (StkFloat amplitude)
| Stop a note with the given amplitude (speed of decay) ... currently ignored.
StkFloat | energy (void)
| Calculate and return the signal energy stored in the mesh.
StkFloat | inputTick (StkFloat input)
| Input a sample to the mesh and compute one output sample.
void | controlChange (int number, StkFloat value)
| Perform the control change specified by number and value (0.0 - 128.0).
StkFloat | tick (unsigned int channel=0)
| Compute and return one output sample.

## Detailed Description

Two-dimensional rectilinear waveguide mesh class.

This class implements a rectilinear, two-dimensional digital waveguide mesh structure. For details, see Van Duyne and Smith, "Physical Modeling with the 2-D Digital Waveguide Mesh", Proceedings of the 1993 International Computer Music Conference.

This is a digital waveguide model, making its use possibly subject to patents held by Stanford University, Yamaha, and others.

Control Change Numbers:

- X Dimension = 2
- Y Dimension = 4
- Mesh Decay = 11
- X-Y Input Position = 1

by Julius Smith, 2000 - 2002. Revised by Gary Scavone for STK, 2002.

The documentation for this class was generated from the following file:

- Mesh2D.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.